Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(699)

Delta Between Two Patch Sets: src/make.bash

Issue 5615058: code review 5615058: build: use cmd/dist (Closed)
Left Patch Set: diff -r 1d4338efa939 https://go.googlecode.com/hg/ Created 13 years, 2 months ago
Right Patch Set: diff -r 00c1146c69a5 https://code.google.com/p/go/ Created 13 years, 2 months ago
Left:
Right:
Use n/p to move between diff chunks; N/P to move between comments. Please Sign in to add in-line comments.
Jump to:
Left: Side by side diff | Download
Right: Side by side diff | Download
« no previous file with change/comment | « src/env.bash ('k') | src/run.bash » ('j') | no next file with change/comment »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
LEFTRIGHT
1 #!/usr/bin/env bash 1 #!/usr/bin/env bash
2 # Copyright 2009 The Go Authors. All rights reserved. 2 # Copyright 2009 The Go Authors. All rights reserved.
3 # Use of this source code is governed by a BSD-style 3 # Use of this source code is governed by a BSD-style
4 # license that can be found in the LICENSE file. 4 # license that can be found in the LICENSE file.
5 5
6 set -e 6 set -e
7 if [ ! -f run.bash ]; then 7 if [ ! -f run.bash ]; then
8 echo 'make.bash must be run from $GOROOT/src' 1>&2 8 echo 'make.bash must be run from $GOROOT/src' 1>&2
9 exit 1 9 exit 1
10 fi 10 fi
11 11
12 # Test for bad ld. 12 # Test for bad ld.
bradfitz 2012/02/03 08:42:48 Why is this in make.bash and in dist? $ grep gold
13 if ld --version 2>&1 | grep 'gold.* 2\.20' >/dev/null; then 13 if ld --version 2>&1 | grep 'gold.* 2\.20' >/dev/null; then
14 echo 'ERROR: Your system has gold 2.20 installed.' 14 echo 'ERROR: Your system has gold 2.20 installed.'
15 echo 'This version is shipped by Ubuntu even though' 15 echo 'This version is shipped by Ubuntu even though'
16 echo 'it is known not to work on Ubuntu.' 16 echo 'it is known not to work on Ubuntu.'
17 echo 'Binaries built with this linker are likely to fail in mysterious w ays.' 17 echo 'Binaries built with this linker are likely to fail in mysterious w ays.'
18 echo 18 echo
19 echo 'Run sudo apt-get remove binutils-gold.' 19 echo 'Run sudo apt-get remove binutils-gold.'
20 echo 20 echo
21 exit 1 21 exit 1
22 fi 22 fi
(...skipping 17 matching lines...) Expand all
40 40
41 sleep 5 41 sleep 5
42 fi 42 fi
43 fi 43 fi
44 done 44 done
45 45
46 # Finally! Run the build. 46 # Finally! Run the build.
47 47
48 echo '# Building C bootstrap tool.' 48 echo '# Building C bootstrap tool.'
49 mkdir -p ../bin/tool 49 mkdir -p ../bin/tool
50 gcc -O2 -o ../bin/tool/dist cmd/dist/*.c 50 gcc -O2 -Wall -Werror -o ../bin/tool/dist -Icmd/dist cmd/dist/*.c
51 echo
51 52
52 echo '# Building compilers and Go bootstrap tool.' 53 echo '# Building compilers and Go bootstrap tool.'
53 ../bin/tool/dist bootstrap # builds go_bootstrap 54 ../bin/tool/dist bootstrap -v # builds go_bootstrap
55 echo
54 56
55 echo '# Building packages and commands.' 57 echo '# Building packages and commands.'
56 ../bin/tool/go_bootstrap clean std 58 ../bin/tool/go_bootstrap clean std
57 ../bin/tool/go_bootstrap install -a -v std 59 ../bin/tool/go_bootstrap install -a -v std
58 rm -f ../bin/tool/go_bootstrap 60 rm -f ../bin/tool/go_bootstrap
61 echo
59 62
60 ../bin/tool/dist installed 63 if [ "$1" != "--no-banner" ]; then
bradfitz 2012/02/03 08:42:48 isn't this done in all.bash too? oh, or that just
64 » ../bin/tool/dist banner
65 fi
LEFTRIGHT

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b